Loading...
Searching...
No Matches
Pipeline.h File Reference

Defines the front-end class representing an entire Halide imaging pipeline. More...

`#include <initializer_list>`
`#include <map>`
`#include <memory>`
`#include <vector>`
`#include "IROperator.h"`
`#include "IntrusivePtr.h"`
`#include "JITModule.h"`
`#include "Module.h"`
`#include "Realization.h"`
`#include "Target.h"`
`#include "Tuple.h"`

Go to the source code of this file.

## Classes

struct | Halide::AutoschedulerParams
| Special the Autoscheduler to be used (if any), along with arbitrary additional arguments specific to the given Autoscheduler. More...
struct | Halide::CustomLoweringPass
| A custom lowering pass. More...
struct | Halide::AutoSchedulerResults
class | Halide::Pipeline
| A class representing a Halide pipeline. More...
struct | Halide::Pipeline::RealizationArg
struct | Halide::ExternSignature
struct | Halide::ExternCFunction
struct | Halide::JITExtern

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Typedefs

using | Halide::AutoSchedulerFn = std::function<void(const Pipeline &, const Target &, const AutoschedulerParams &, AutoSchedulerResults *outputs)>

## Enumerations

enum | Halide::StmtOutputFormat { Halide::Text , Halide::HTML }
| Used to determine if the output printed to file should be as a normal string or as an HTML file which can be opened in a browerser and manipulated via JS and CSS. More...

## Detailed Description

Defines the front-end class representing an entire Halide imaging pipeline.

Definition in file Pipeline.h.